package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterTahunAkademik generated by hbm2java
 */
@Entity
@Table(name = "master_tahun_akademik", catalog = "ta")
public class MasterTahunAkademik implements java.io.Serializable {

	private int idTahunAkademik;
	private String nama;
	private Set<MasterPeriodeSemester> masterPeriodeSemesters = new HashSet<MasterPeriodeSemester>(0);

	public MasterTahunAkademik() {
	}

	public MasterTahunAkademik(int idTahunAkademik, String nama) {
		this.idTahunAkademik = idTahunAkademik;
		this.nama = nama;
	}

	public MasterTahunAkademik(int idTahunAkademik, String nama, Set<MasterPeriodeSemester> masterPeriodeSemesters) {
		this.idTahunAkademik = idTahunAkademik;
		this.nama = nama;
		this.masterPeriodeSemesters = masterPeriodeSemesters;
	}

	@Id

	@Column(name = "idTahunAkademik", unique = true, nullable = false)
	public int getIdTahunAkademik() {
		return this.idTahunAkademik;
	}

	public void setIdTahunAkademik(int idTahunAkademik) {
		this.idTahunAkademik = idTahunAkademik;
	}

	@Column(name = "nama", nullable = false, length = 9)
	public String getNama() {
		return this.nama;
	}

	public void setNama(String nama) {
		this.nama = nama;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterTahunAkademik")
	public Set<MasterPeriodeSemester> getMasterPeriodeSemesters() {
		return this.masterPeriodeSemesters;
	}

	public void setMasterPeriodeSemesters(Set<MasterPeriodeSemester> masterPeriodeSemesters) {
		this.masterPeriodeSemesters = masterPeriodeSemesters;
	}

}
